curl --request POST \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/payments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"amount": "149.99",
"currency": "USD",
"description": "Payment for order ORD-2024-001234",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"payment_method": "credit_card",
"payment_method_id": "pm_1234567890"
}'
{
"data": {
"amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": "string",
"payment_method_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"processed_at": "2026-08-31T14:22:05Z",
"status": "pending"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Process a payment for an order
Process a payment for an order
POST
/
api
/
v1
/
payments
curl --request POST \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/payments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"amount": "149.99",
"currency": "USD",
"description": "Payment for order ORD-2024-001234",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"payment_method": "credit_card",
"payment_method_id": "pm_1234567890"
}'
{
"data": {
"amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": "string",
"payment_method_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"processed_at": "2026-08-31T14:22:05Z",
"status": "pending"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Request body
CreatePaymentRequest
string
required
Payment amount
string,null
Currency code (ISO 4217, defaults to USD)
string,null
Payment description
string (uuid)
required
Order to process payment for
string
required
Payment method type (credit_card, debit_card, paypal, bank_transfer, cash, check)
string,null
External payment method identifier (e.g., Stripe payment method ID)
Response
ApiResponse_PaymentResponse
object
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
201 | Payment processed |
400 | Bad request |
403 | Forbidden |
429 | Rate limit exceeded |
curl --request POST \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/payments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"amount": "149.99",
"currency": "USD",
"description": "Payment for order ORD-2024-001234",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"payment_method": "credit_card",
"payment_method_id": "pm_1234567890"
}'
{
"data": {
"amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": "string",
"payment_method_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"processed_at": "2026-08-31T14:22:05Z",
"status": "pending"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026